#!/usr/bin/python
# -*- coding: utf-8 -*-
#
# Dieses Dokument ist in der Zusammenarbeit von Informatikreferendaren und
# ehemaligen Informatikreferendaren der Studienseminare (heute ZfsL) Arnsberg,
# Hamm und Solingen entstanden.
#
# Das Dokument steht unter der Lizenz: Creative Commons by-nc-sa Version 4.0
# http://creativecommons.org/licenses/by-nc-sa/4.0/deed.de
#
# Nach dieser Lizenz darf das Dokument beliebig kopiert und bearbeitet werden,
# sofern das Folgeprodukt wiederum unter gleichen Lizenzbedingungen vertrieben
# und auf die ursprünglichen Urheber verwiesen wird.
# Eine kommerzielle Nutzung ist ausdrücklich ausgeschlossen.
#
# Die Namensnennung durch einen Verweis und die Lizenzangabe der ursprünglichen
# Urheber auf den Materialien für Schülerinnen und Schüler ist erforderlich.
#
# Die Sammlung der Dokumente steht unter
# http://ddi.uni-wuppertal.de/material/materialsammlung/
# zur Verfügung.
#
# Weitere Lizenz: GPL V3.0
# Siehe http://www.gnu.org/licenses/gpl-3.0.html
#
# $Id: test_playlisten.py 582 2014-04-19 19:19:24Z pieper $

from playlisten3 import *

################################################################################
# TESTS ########################################################################
################################################################################
# Erzeugen aller Objekte:
gruppeSpieleabend=Gruppe() 

david=Person("David")
klaus=Person("Klaus")
lisa=Person("Lisa")

gutenTag=Stueck("Wir sind Helden","Guten Tag","datei1")
losingMyReligion=Stueck("REM","Losing my Religion","datei2")
parallelUniverse=Stueck("Red Hot Chilli Pepper","Parallel Universum","datei3")
radioBrennt=Stueck("Die Aerzte","Radio brennt","datei4")
bonnieUndClyde=Stueck("Die toten Hosen","Bonnie und Clyde","datei5")

# Objektebeziehungen aufbauen
# hoert gerne:
david.stueckHinzu(gutenTag)
david.stueckHinzu(losingMyReligion)
david.stueckHinzu(radioBrennt)
david.stueckHinzu(bonnieUndClyde)

klaus.stueckHinzu(losingMyReligion)
klaus.stueckHinzu(parallelUniverse)
klaus.stueckHinzu(radioBrennt)
klaus.stueckHinzu(bonnieUndClyde)

lisa.stueckHinzu(gutenTag)
lisa.stueckHinzu(parallelUniverse)
lisa.stueckHinzu(radioBrennt)
lisa.stueckHinzu(bonnieUndClyde)

# Objektebeziehungen
# setzt sich zusammen aus: 
gruppeSpieleabend.personHinzu(david)
gruppeSpieleabend.personHinzu(klaus)
gruppeSpieleabend.personHinzu(lisa)


gruppeSpieleabend.erstellePlayliste()
gruppeSpieleabend.playliste.abspielen()
